#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'lelangpaket.daftar_paket'} #{/set}

<div class="container">
#{paketTabMenu /}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb" style="background-color: #25B396 !important;">
                <li><a href="@{BerandaCtr.index()}">&{'lelangpaket.home'}</a></li>
                <li class="active">&{'lelangpaket.daftar_paket'}</li>
            </ol>
        #{alert /}
        <br/><br/>
        <table class="table table-condensed " id="tblLelang">
            <thead>
            <tr>
                <th width="20" nowrap>&{'lelangpaket.kode'}</th>
                <th>&{'lelangpaket.nama_paket'}</th>
                <th width="15%">&{'lelangpaket.status'}</th>
                <th width="15%">&{'lelangpaket.tgl_buat'}</th>
                <th width="25%">&{'lelangpaket.satuan_kerja'}</th>
                <th width="15%">&{'lelangpaket.pokja_pemilihan'}</th>
            </tr>
            </thead>
        </table>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript">
    var editPaket  = #{jsRoute @devpartner.PaketDpCtr.edit(':id') /};
    var viewTahap  = #{jsRoute @devpartner.JadwalDpCtr.tahap(':id') /};
    $(document).ready(function() {
        var table = $("#tblLelang").dataTable({
            language: {
                    "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                    processing:   "&{'menu.processing'}",
                    "sSearch":       "&{'menu.ssearch'}",
                    "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                    "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
            },
            order: [[ 0, "desc"]],
            ajax: "${url.raw()}",
            columns: [
                {visible:false, render: function(data, type, row) {
                var paketId = row[0];
                var lelangId = row[5];
                var id = paketId;
                var paket = row[1];
                var lelangTipe = row[6];
                var ulang = '';
                var status = row[2];
                var pntNama = row[8];

                if(Number(row[7]) > 1)
                    ulang = '&nbsp<span class="label label-warning">' + row[9] + '</span>';

                row[2] = '<a target="_blank" href="'+viewTahap.url({id:lelangId})+'">'+status+'</a>';
                row[5] = pntNama;
                row[1] = '<a href="'+editPaket.url({id:id})+'">'+ paket +'</a>&nbsp;' +
                        '<span class="label label-info">'+lelangTipe+'</span>'+'&nbsp;' +
                        ulang;
                return row[1];
            }}, {orderable:false}, null, null,null, {orderable:false}
            ],
        }).fnFilterOnReturn();
    } );

</script>
#{/set}